<div class="container" *ngIf="post">
  <div class="d-flex flex-column">
    <div class="d-flex justify-content-center pt-3">
      <h4 class="card-title">{{ post.postMainTitle }}</h4>
    </div>
    <div class="d-flex justify-content-center">
      <p class="lead">{{ post.postLead }}</p>
    </div>
    <div class="d-flex my-3">
      <img [src]="post.postImage" class="img-fluid w-100">
    </div>
    <div class="d-flex justify-content-center">
      <pre class="card-text">{{ post.postBodytext }}</pre>
    </div>
  </div>
  <div class="d-flex flex-row pt-3 my-3 justify-content-center">
    <button class="btn btn-outline-success mx-2" 
            (click)="goBack()"
            style="float: right;">
            Tagasi
    </button>
    <button class="btn btn-outline-warning mx-2" 
            [routerLink]="['/edit-post/', post.id]" 
            style="float: right;">
            Muuda
    </button>
    <button class="btn btn-outline-danger mx-2" 
            (click)="deleteBlogpost()"
            style="float: right;">
            Kustuta
    </button>
  </div>
</div>
